Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002715 [JEDI VCL] 00 JVCL Components major always 2005-03-05 00:05 2006-06-27 03:44
Reporter anonymous View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.00 BETA 2
Summary 0002715: TJVDBTreeview not updated after calling CancelBatch
Description I am using ado table for connecting to my access database.
   and I am using TJVDBTreeView to show the records in a heighrarchial mode. It works fine. But when I use CancelBatch(all) to cancell the changes made, the tree dont reset the nodes into its old values.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0007961)
marcgeldon (reporter)
2005-09-22 05:56

Hello "anonymous".

Here is a helpy solution for that problem:
call JvDBTreeView.UpdateTree and if this does still not work, disconnect and reconnect the datasource from the JvDBTreeView. Sort of:
  JvDBTreeView.DataSource := nil;
  JvDBTreeView.DataSource := DataSource1;

Hope that helps. But still this problem has to be fixed in the component!


Best wishes from Germany,

Marc Geldon
(PRO IT SYSTEMS)
(0008141)
obones (administrator)
2005-11-22 09:21

Can anyone post a sample application for this ?
(0008871)
obones (administrator)
2006-04-04 05:14

any news?
(0009664)
obones (administrator)
2006-06-27 03:44

Well, without any response, I'm assuming this is fixed in the latest development version. Should it not be the case, please provide a sample application and/or a diff file against the latest SVN content:

http://homepages.borland.com/jedi/wiki/index.php?title=Repository [^]

- Issue History
Date Modified Username Field Change
2005-03-05 00:05 anonymous New Issue
2005-09-22 05:56 marcgeldon Note Added: 0007961
2005-11-22 09:21 obones Note Added: 0008141
2005-11-22 09:21 obones Status new => feedback
2006-04-04 05:14 obones Note Added: 0008871
2006-06-27 03:44 obones Status feedback => resolved
2006-06-27 03:44 obones Fixed in Version => Daily / SVN
2006-06-27 03:44 obones Resolution open => fixed
2006-06-27 03:44 obones Assigned To => obones
2006-06-27 03:44 obones Note Added: 0009664


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker